using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace WCS.Entity.Protocol.SRM
{
    [Description("520")]
    /// <summary>
    /// 堆垛机DB520
    /// </summary>
    public interface ISRM520 : IProtocol
    {
        [Description("任务1")]
        int TaskID1 { get; set; }
        //[Description("起始行1")]
        short SRow1 { get; set; }
        //[Description("起始列1")]
        short SCol1 { get; set; }
        //[Description("起始层1")]
        short SLayer1 { get; set; }
        [Description("取消确认1")]
        short CancelAck1 { get; set; }
        //[Description("目标行1")]
        short ERow1 { get; set; }
        //[Description("目标列1")]
        short ECol1 { get; set; }
        //[Description("目标层1")]
        short ELayer1 { get; set; }
        short EDepth1 { get; set; }
        //[Description("目标地址1")]
        short Target1 { get; set; }
        [Description("任务类型1")]
        short TaskType1 { get; set; }
        [Description("完成确认1")]
        short OkAck1 { get; set; }


        [Description("任务2")]
        int TaskID2 { get; set; }
        //[Description("起始行2")]
        short SRow2 { get; set; }
        //[Description("起始列2")]
        short SCol2 { get; set; }
        //[Description("起始层2")]
        short SLayer2 { get; set; }
        [Description("取消确认2")]
        short CancelAck2 { get; set; }
        //[Description("目标行2")]
        short ERow2 { get; set; }
        //[Description("目标列2")]
        short ECol2 { get; set; }
        //[Description("目标层2")]
        short ELayer2 { get; set; }
        short EDepth2 { get; set; }
        //[Description("目标地址2")]
        short Target2 { get; set; }
        [Description("任务类型2")]
        short TaskType2 { get; set; }
        [Description("完成确认2")]
        short OkAck2 { get; set; }
        [Description("心跳")]
        short HB { get; set; }
        [Description("凭证号")]
        short VoucherNo { get; set; }
    }
}
